Bug 1120004 - NetworkManager would not automatically connect to wifi connection after reboot
Summary: NetworkManager would not automatically connect to wifi connection after reboot
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-16 04:43 UTC by Daniel
Modified: 2015-06-29 21:36 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:36:28 UTC


Attachments (Terms of Use)
result of journalctl -u NetworkManager (26.89 KB, text/plain)
2014-07-18 08:23 UTC, Daniel
no flags Details

Description Daniel 2014-07-16 04:43:35 UTC
Description of problem:
NetworkManager would not automatically connect to wifi connection after reboot

Version-Release number of selected component (if applicable):
$ rpm -qa NetworkManager*
NetworkManager-0.9.9.0-41.git20131003.fc20.x86_64
NetworkManager-devel-0.9.9.0-41.git20131003.fc20.x86_64
NetworkManager-glib-0.9.9.0-41.git20131003.fc20.x86_64
NetworkManager-glib-devel-0.9.9.0-41.git20131003.fc20.x86_64
NetworkManager-l2tp-0.9.8.6-1.fc20.x86_64
NetworkManager-openconnect-0.9.8.0-2.fc20.x86_64
NetworkManager-openvpn-0.9.9.0-0.1.git20140128.fc20.x86_64
NetworkManager-openvpn-gnome-0.9.9.0-0.1.git20140128.fc20.x86_64
NetworkManager-pptp-0.9.8.2-3.fc20.x86_64
NetworkManager-pptp-gnome-0.9.8.2-3.fc20.x86_64
NetworkManager-vpnc-0.9.8.2-2.fc20.x86_64
NetworkManager-vpnc-gnome-0.9.8.2-2.fc20.x86_64

$ rpm -q nm-connection-editor
nm-connection-editor-0.9.9.0-10.git20140123.fc20.x86_64

How reproducible:
Everytime

Steps to Reproduce:
1. Create a new wifi connection in nm-connection-editor, with "WPA & WPA2 Enterprise" security and "Automatically connect to this network when it is available" option checked.
2. Reboot fedora, and then login. The wifi connection created in step 1 would not be connected automatically even I can comfirm the SSID from the wifi networks.
3. Connect to the wifi connection created in step 1 manually and reboot fedora and login again. 

Actual results:
The connection created in step 1 would not be connected automatically.

Expected results:
A wifi connection with option "Automatically connect to this network when it is available" checked should be connected automatically.

Additional info:
The connection created in step 1 is the same connection that I report bug: https://bugzilla.redhat.com/show_bug.cgi?id=982429
Now that problem have been solved according to comment #40.

Comment 1 Jirka Klimes 2014-07-18 07:25:57 UTC
When passwords are stored in a user's keyring then the connection can't be activated until the user logs in. So the connection won't be available after boot.
If you mean that the connection is not going to be activated even after you logged in, please grab NM logs so we can see what's going on.
The logs will be in /var/log/messages or using journalctl: journalctl -u NetworkManager

Comment 2 Daniel 2014-07-18 08:23:16 UTC
Created attachment 918985 [details]
result of journalctl -u NetworkManager

Here is my result of command
journalctl -u NetworkManager

The wifi connection that would not be automatically connected is "IBM" and it is configured with "No CA certificate is required" option.

Comment 3 Fedora End Of Life 2015-05-29 12:23:03 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2015-06-29 21:36:28 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.